package nft.publish_nft;

public class PublishResult {
    String nftIdBegin;
    int taskStatus;
    String taskMsg;
    String txHash;
    long chainTimestamp;

    public PublishResult() {
    }

    public PublishResult(String nftIdBegin, int taskStatus, String taskMsg, String txHash, long chainTimestamp) {
        this.nftIdBegin = nftIdBegin;
        this.taskStatus = taskStatus;
        this.taskMsg = taskMsg;
        this.txHash = txHash;
        this.chainTimestamp = chainTimestamp;
    }

    public String getNftIdBegin() {
        return nftIdBegin;
    }

    public void setNftIdBegin(String nftIdBegin) {
        this.nftIdBegin = nftIdBegin;
    }

    public int getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(int taskStatus) {
        this.taskStatus = taskStatus;
    }

    public String getTaskMsg() {
        return taskMsg;
    }

    public void setTaskMsg(String taskMsg) {
        this.taskMsg = taskMsg;
    }

    public String getTxHash() {
        return txHash;
    }

    public void setTxHash(String txHash) {
        this.txHash = txHash;
    }

    public long getChainTimestamp() {
        return chainTimestamp;
    }

    public void setChainTimestamp(long chainTimestamp) {
        this.chainTimestamp = chainTimestamp;
    }
}
